package com.starbuds.server.game.sdk;

/**
 * 游戏客户端管理
 *
 * @author aoe
 * @date 2020/9/7
 */
public class GameClientManage {

    private GameClient client;

    /**
     * @param host         主机地址
     * @param appId        直播平台id
     * @param apiSecretKey API秘钥
     * @param timout       HTTP超时时间（毫秒）null:默认5秒
     */
    public GameClientManage(String host, String appId, String apiSecretKey, Integer timout) {
        client = new DefaultGameClient(host, appId, apiSecretKey, timout);
    }

    public GameClient getClient() {
        return client;
    }
}
