package com.starbuds.server.game.sdk;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 返回
 *
 * @author Lay
 * @date 2020/9/7
 */
@Data
public abstract class GameResponse implements Serializable {

    /**
     * 状态码 0:成功
     */
    private int code = -1;

    private String msg;

    @JSONField(name = "request_id")
    private String requestId;
}
