package com.starbuds.server.game.sdk.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdk.GameParam;
import lombok.Builder;
import lombok.Data;

/**
 * 获取转账订单状态
 *
 * @author aoe
 * @date 2020/9/8
 */
@Data
@Builder
public class QueryTransferStatusParam extends GameParam {

    private String platform;

    /**
     * 转账订单号，必须全局唯一
     */
    @JSONField(name = "order_no")
    private String orderNo;

    @JSONField(name = "player_name")
    private String playerName;

    @JSONField(name = "player_password")
    private String playerPassword;
}
