package com.starbuds.server.game.sdk.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdk.GameParam;
import lombok.Data;

/**
 * 注册新会员参数
 *
 * @author aoe
 * @date 2020/9/7
 */
@Data
public class RegisterParam extends GameParam {

    @JSONField(name = "player_name")
    private String playerName;

    @JSONField(name = "player_password")
    private String playerPassword;
}
