package com.starbuds.server.game.sdk.response;

import com.starbuds.server.game.sdk.GameResponse;
import com.starbuds.server.game.sdk.response.data.Game;
import com.starbuds.server.game.sdk.response.data.HotGame;
import lombok.Data;

import java.util.List;

/**
 * 获取热门游戏列表
 *
 * @author aoe
 * @date 2020/9/8
 */
@Data
public class QueryHotGameListResponse extends GameResponse {

    private List<HotGame> data;
}
