package com.starbuds.server.game.sdk.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 游戏
 *
 * @author aoe
 * @date 2020/9/8
 */
@Data
public class Game {

    @JSONField(name = "game_name")
    private String gameName;

    /**
     * 是否横屏，1为横屏，0为竖屏
     */
    @JSONField(name = "is_horizontal")
    private String isHorizontal;

    private String icon;

    private String platform;

    @JSONField(name = "game_code")
    private String gameCode;

    @JSONField(name = "device_type")
    private String deviceType;
}
