package com.starbuds.server.game.sdkdev;

import lombok.Data;

import java.io.Serializable;

/**
 * 返回
 *
 * @author Lay
 * @date 2020/9/7
 */
@Data
public abstract class GameDevResponse implements Serializable {

    /**
     * 状态码 0000:成功
     */
    private String code = "";

    private String message;

    private long timestamp;

    /**
     * 返回结果
     *
     * @return
     */
    public abstract Object getData();
}
