package com.starbuds.server.game.sdkdev.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 进入下一期
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
@Builder
public class GetNextPeriodParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/get_nextperiod";
    }

    private String userid;

    @JSONField(name = "game_id")
    private String gameId;
}
