package com.starbuds.server.game.sdkdev.param;

import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 游戏订单详情
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
@Builder
public class GetOrderDetailParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/get_orderdetail";
    }

    private String userid;

    /**
     * 订单号
     */
    private String orderno;
}
