package com.starbuds.server.game.sdkdev.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 初始化用户
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
@Builder
public class InitUserParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/init_user";
    }

    private String userid;

    @JSONField(name = "play_pwd")
    private String playPwd;
}
