package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @author aoe
 * @date 2020/9/23
 */
@Data
public class GetGameplayData {

    /**
     * 开奖历史
     */
    private List<GetGameplayWinnosData> winnos;

    /**
     * 锁定期，秒数
     */
    @JSONField(name = "locking_time")
    private String lockingTime;

    @JSONField(name = "period_info")
    private GetGameplayPeriodInfoData periodInfo;
}
