package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author aoe
 * @date 2020/9/23
 */
@Data
public class GetGameplayPeriodInfoData {

    /**
     * 上一期
     */
    @JSONField(name = "RT_AWD_UP_PERIOD")
    private String rtAwdUpPeriod;

    /**
     * 剩余倒计时秒数
     */
    @JSONField(name = "RT_AWD_CP_CDTIMESS")
    private String rtAwdCpCdtimess;

    /**
     * 系统时间
     */
    @JSONField(name = "RT_SYSTEM_TIME")
    private String rtSystemTime;

    /**
     * 当前投注期
     */
    @JSONField(name = "RT_AWD_CUR_PERIOD")
    private String rtAwdCurPeriod;

    /**
     * 下一期
     */
    @JSONField(name = "RT_AWD_NEXT_PERIOD")
    private String rtAwdNextPeriod;

    /**
     * 当前期开奖时间
     */
    @JSONField(name = "RT_AWD_CP_OPEN_TIMESS")
    private String rtAwdCpOpenTimess;
}
