package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 获取订单列表
 *
 * @author aoe
 * @date 2020/9/25
 */
@Data
public class GetOrderListItemData {

    @JSONField(name = "game_name")
    private String gameName;

    @JSONField(name = "orderno")
    private String orderNo;

    /**
     * 投注金额
     */
    @JSONField(name = "bett_amount")
    private String betAmount;

    @JSONField(name = "game_id")
    private String gameId;

    /**
     * 订单状态 004 表示中奖
     */
    @JSONField(name = "status")
    private String status;

    /**
     * 投注时间
     */
    @JSONField(name = "betting_time")
    private Long bettingTime;
}
