package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 根据时间范围 - 获取订单统计
 *
 * @author aoe
 * @date 2020/10/20
 */
@Data
public class GetOrderTotalData {

    /**
     * 下注数量
     */
    @JSONField(name = "order_num")
    private String bettingCount;

    /**
     * 投注金额
     */
    @JSONField(name = "bett_amount")
    private String bettingAmount;

    /**
     * 中奖金额
     */
    @JSONField(name = "win_amount")
    private String winningAmount;
}
