package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * 获取指定游戏玩法
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
public class GetPlayinfoData {

    /**
     * 玩法id
     */
    @JSONField(name = "play_id")
    private String playId;

    /**
     * 玩法名称
     */
    @JSONField(name = "play_name")
    private String playName;

    /**
     * 最大注数
     */
    private String betnummax;

    /**
     * 最小注数
     */
    private String betnummin;

    @JSONField(name = "play_detail")
    private List<GetPlayinfoDetailData> playDetails;
}
