package com.starbuds.server.game.sdk.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdk.response.QueryGameListResponse;
import com.starbuds.server.game.sdk.response.QueryHotGameListResponse;
import com.starbuds.server.game.sdk.util.TestUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class QueryHotGameListRequestTest {

    // 获取热门游戏列表
    @Test
    public void queryGameListRequestTest() {
        QueryHotGameListRequest request = new QueryHotGameListRequest("mobile");
        QueryHotGameListResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }
}