package com.starbuds.server.game.sdkdev.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdkdev.GameDevResponse;
import com.starbuds.server.game.sdkdev.param.GetOrderListParam;
import com.starbuds.server.game.sdkdev.util.TestDevUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

// 获取订单列表
@Slf4j
public class GetOrderListRequestTest {

    @Test
    public void getOrderListRequestTest() {
        GetOrderListParam param = GetOrderListParam.builder()
                .userid("1")
//                .gameId("JSFFC")
                .status("0")
                .page("1")
                .size("10")
                .build();
        GetOrderListRequest request = new GetOrderListRequest();
        request.setParam(param);
        GameDevResponse res = TestDevUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), "0000");
    }
}