# 游戏SDK说明

## 结构说明

- sdk api-saas下游对接
- sdkdev dev

## 文档
- [Yapi](https://yapi.cp28.top/)

- 接口服务器域名 https://game-api.cp28.top
- "appid" : "8da954c1-e43e-4c00-b7f7-882e8caafe5c",
- "secret_key" : "5F13F6A4DE1B49F724036AA7"
- 接口里的sign是为了测试，特意设定的通用sign
- Mock地址：https://yapi.cp28.top/mock/51/api/queryMerchantBalance.php

## 对接
- 签名规则：md5(appid+ts+secret)

### code
0成功，非0失败
success(0), 成功(0), fail(2), error(2), 失败(2), 上游维护(3), 官方操作失败(4), 游戏平台关闭(10), 代理商没有开通该平台(102), 代理商关闭了该平台(103), 商户关闭(201), 验签失败(202), 商户余额不足(203), 账户有在其他地方登录(301), 商户关闭了平台(303), 商户没有开通该平台(304), 参数错误(305), IP不在白名单中(306), 余额不足(307), 请求过于频繁(308), 没有找到该玩家(309), 转账超过限红(310), 没有授权免转用户操作(311),取款时玩家余额不足(312), 订单重复(313), 游戏未完成(314), 网络超时(904), 平台未配置(910), 平台未实现(911), 服务器错误(999)


## 参考
- AbstractTencentClient