package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.response.QueryPlatformListResponse;

/**
 * 获取游戏平台列表(用于钱包转账)
 *
 * @author aoe
 * @date 2020/9/8
 */
public class QueryPlatformListRequest extends AbstractRequest<QueryPlatformListResponse> {

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return QueryPlatformListResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/queryPlatformList.php";
    }
}
