package com.starbuds.server.game.sdk.response;

import com.starbuds.server.game.sdk.GameResponse;
import com.starbuds.server.game.sdk.response.data.Room;
import lombok.Data;

import java.util.List;

/**
 * 获取游戏房间列表（可用于app上游戏分类，注意，一个平台可能有多个房间）
 *
 * @author aoe
 * @date 2020/9/8
 */
@Data
public class QueryRoomListResponse extends GameResponse {

    private List<Room> data;
}
