package com.starbuds.server.game.sdkdev;

/**
 * 游戏客户端管理
 *
 * @author aoe
 * @date 2020/9/7
 */
public class GameDevClientManage {

    private GameDevClient client;

    /**
     * @param host         主机地址
     * @param appId        直播平台id
     * @param apiSecretKey API秘钥
     * @param timout       HTTP超时时间（毫秒）null:默认5秒
     */
    public GameDevClientManage(String host, String appId, String apiSecretKey, Integer timout) {
        client = new DefaultGameDevClient(host, appId, apiSecretKey, timout);
    }

    public GameDevClient getClient() {
        return client;
    }
}
