package com.starbuds.server.game.sdkdev.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 根据时间范围 - 获取订单统计
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
@Builder
public class GetOrderTotalParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/get_ordertotal";
    }

    private String userid;

    /**
     * 毫秒时间戳
     */
    @JSONField(name = "start_time")
    private String startTime;

    /**
     * 毫秒时间戳
     */
    @JSONField(name = "end_time")
    private String endTime;
}
