package com.starbuds.server.game.sdkdev.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 开奖历史
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
@Builder
public class GetWinnosParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/get_winnos";
    }

    private String userid;

    @JSONField(name = "game_id")
    private String gameId;

    /**
     * 页码,默认1
     */
    private String page;

    /**
     * 条数,默认10
     */
    private String size;
}
