package com.starbuds.server.game.sdkdev.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 划转资产
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
@Builder
public class TransferParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/transfer";
    }

    private String userid;

    /**
     * 类型 1转入 2转出
     */
    private String type;

    /**
     * 金额 整数，最小1
     */
    private String amount;

    @JSONField(name = "order_no")
    private String orderNo;
}
