package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author aoe
 * @date 2020/9/23
 */
@Data
public class GetGameplayWinnosData {

    @JSONField(name = "GAME_ID")
    private String gameId;

    @JSONField(name = "GAME_NAME")
    private String gameName;

    /**
     * 期号
     */
    @JSONField(name = "PERIOD")
    private String period;

    @JSONField(name = "L3_COMP_TYPE_CN")
    private String l3CompTypeCn;

    @JSONField(name = "L2_COMP_SUM")
    private String l2CompSum;

    @JSONField(name = "L3_COMP_SUM")
    private String l3CompSum;

    @JSONField(name = "L2_BIG_SMALL_CN")
    private String l2BigSmallCn;

    @JSONField(name = "F3_COMP_TYPE_CN")
    private String f3CompTypeCn;

    /**
     * 开奖时间
     */
    @JSONField(name = "WIN_DATE")
    private String winDate;

    /**
     * 奖号
     */
    @JSONField(name = "WIN_NO")
    private String winNo;

    @JSONField(name = "TM_WIN_NAME")
    private String tmWinName;
}
