package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 获取游戏列表
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
public class GetGamesData {

    @JSONField(name = "game_name")
    private String gameName;

    @JSONField(name = "group_code")
    private String groupCode;

    private String logo;

    @JSONField(name = "game_id")
    private String gameId;

    /**
     * 奖金序列值
     */
    private String series;
}
