package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 游戏订单详情
 *
 * @author aoe
 * @date 2020/9/25
 */
@Data
public class GetOrderDetailListData {

    @JSONField(name = "PLAY_ID")
    private String playId;

    @JSONField(name = "PLAY_NAME")
    private String playName;

    @JSONField(name = "PIECE")
    private String piece;

    @JSONField(name = "DETAIL_CONTENT")
    private String detailContent;

    @JSONField(name = "BETTING_AMOUNT")
    private String bettingAmount;

    @JSONField(name = "TOTAL_WIN_AMOUNT")
    private String totalWinAmount;

    @JSONField(name = "DETAIL_ID")
    private String detailId;

    @JSONField(name = "WIN_AMOUNT")
    private String winAmount;
}
