package com.starbuds.server.game.sdkdev.response.data;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 游戏订单详情
 *
 * @author aoe
 * @date 2020/9/25
 */
@Data
public class GetOrderDetailMapData {

    @JSONField(name = "ORDERNO")
    private String orderNo;

    @JSONField(name = "BETTING_TIME")
    private String bettingTime;

    @JSONField(name = "GAME_NAME")
    private String gameName;

    @JSONField(name = "GAME_ID")
    private String gameId;

    @JSONField(name = "PERIOD_NUM")
    private String periodNum;

    @JSONField(name = "MULTIPLE")
    private String multiple;

    @JSONField(name = "KIND_VALUE")
    private String kindValue;

    @JSONField(name = "TOTAL_BETT_AMOUNT")
    private String totalBettAmount;

    @JSONField(name = "TOTAL_WIN_AMOUNT")
    private String totalWinAmount;

    /**
     * 状态
     * 002：未开奖
     * 003：等待派奖
     * 004：已中奖
     * 005：未中奖
     */
    @JSONField(name = "STATUS")
    private String status;

    @JSONField(name = "WIN_NO")
    private String winNo;

    @JSONField(name = "PLAY_ID")
    private String playId;

    @JSONField(name = "PLAY_NAME")
    private String playName;

    /**
     * 赔率
     */
    @JSONField(name = "DYNA_REBATE")
    private String odds;
}
