package com.starbuds.server.game.sdk.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdk.response.BatQueryBalanceResponse;
import com.starbuds.server.game.sdk.util.TestUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class BatQueryBalanceRequestTest {

    // 获取会员余额-所有厅
    @Test
    public void queryBalanceRequestTest() {
        BatQueryBalanceRequest request = new BatQueryBalanceRequest("test20200723", "123456");
        BatQueryBalanceResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }
}