package com.starbuds.server.game.sdk.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdk.response.QueryGameListResponse;
import com.starbuds.server.game.sdk.response.QueryMerchantBalanceResponse;
import com.starbuds.server.game.sdk.util.TestUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class QueryMerchantBalanceRequestTest {

    // 获取商户余额
    @Test
    public void queryMerchantBalanceRequestTest() {
        QueryMerchantBalanceRequest request = new QueryMerchantBalanceRequest("BBIN");
        QueryMerchantBalanceResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }
}