package com.starbuds.server.game.sdk.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdk.response.QueryPlatformListResponse;
import com.starbuds.server.game.sdk.util.TestUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class QueryPlatformListRequestTest {

    // 获取游戏平台列表(用于钱包转账)
    @Test
    public void queryPlatformListRequestTest() {
        QueryPlatformListRequest request = new QueryPlatformListRequest();
        QueryPlatformListResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }
}