package com.starbuds.server.game.sdk.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdk.response.QueryRoomListResponse;
import com.starbuds.server.game.sdk.util.TestUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class QueryRoomListRequestTest {

    // 获取游戏房间列表（可用于app上游戏分类，注意，一个平台可能有多个房间）
    @Test
    public void queryPlatformListRequestTest() {
        QueryRoomListRequest request = new QueryRoomListRequest();
        QueryRoomListResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }
}