package com.starbuds.server.game.sdkdev.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdkdev.GameDevResponse;
import com.starbuds.server.game.sdkdev.param.GetGamesParam;
import com.starbuds.server.game.sdkdev.util.TestDevUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;


@Slf4j
public class GetGamesRequestTest {

    @Test
    public void getGamesRequestTest() {
        GetGamesParam param = GetGamesParam.builder()
                .userid("1")
                .build();
        GetGamesRequest request = new GetGamesRequest();
        request.setParam(param);
        GameDevResponse res = TestDevUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), "0000");
    }
}