package com.starbuds.server.game.sdkdev.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdkdev.GameDevResponse;
import com.starbuds.server.game.sdkdev.param.GetOrderDetailParam;
import com.starbuds.server.game.sdkdev.util.TestDevUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class GetOrderDetailRequestTest {

    // 游戏订单详情
    @Test
    public void getOrderDetailRequestTest() {
        GetOrderDetailParam param = GetOrderDetailParam.builder()
                .userid("1")
                .orderno("JS200925096970393A")
                .build();
        GetOrderDetailRequest request = new GetOrderDetailRequest();
        request.setParam(param);
        GameDevResponse res = TestDevUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), "0000");
    }
}