package com.starbuds.server.game.sdkdev.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdkdev.GameDevResponse;
import com.starbuds.server.game.sdkdev.param.GetPlayinfoParam;
import com.starbuds.server.game.sdkdev.util.TestDevUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class GetPlayinfoRequestTest {

    @Test
    public void getPlayinfoRequestTest() {
        GetPlayinfoParam param = GetPlayinfoParam.builder()
                .userid("1")
                .gameId("JSFFC")
                .build();
        GetPlayinfoRequest request = new GetPlayinfoRequest();
        request.setParam(param);
        GameDevResponse res = TestDevUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), "0000");
    }
}